@import '../styles/mixins.scss';

$thead-bg-color: #36304a;

.title {
	@include title();
}

.label {
	@include label();
}

.datePicker {
	@include input();
}

.expenses {
	@include white-centered();
	font-weight: bold;
	font-size: 24px;
	margin-top: 24px;
	margin-bottom: 16px;
}

.sortButton {
	color: white;
	font-size: 27px;
	margin-right: 5px;
	position: relative;
	display: inline-block;
	cursor: pointer;
}

.sortContent {
	display: none;
	position: absolute;
	background-color: white;
	font-size: 20px;
	color: black;
	min-width: 160px;
	box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
	padding: 0;
	z-index: 1;
	top: 25px;
	right: 12px;
}

.sortSection {
	display: inline;
	float: right;
	position: relative;
}

.showSort {
	.sortContent {
		display: block;
	}
}

.dropdownItems {
	font-size: 15px;
	cursor: pointer;

	p {
		margin: 0;
	}
}

.dropdownItems p:hover {
	background-color: lightgray;
}

.table {
	border-collapse: separate;
	border-spacing: 0;
	th,
	td {
		padding-left: 16px;
		border: 0;
	}
}

.tableHead {
	color: #ffffef;
	padding-left: 40px;
	text-align: center;

	tr {
		background-color: $thead-bg-color;

		th:first-child {
			border-top-left-radius: 16px;
		}

		th:last-child {
			border-top-right-radius: 16px;
		}
	}
}

.tableBody {
	color: #757575;
	font-size: 16px;

	tr {
		&:nth-child(odd) {
			background: #ffffff;
		}
		&:nth-child(even) {
			background: #f5f5f5;
		}
	}

	tr:last-child {
		font-weight: bold;
		td:first-child {
			border-bottom-left-radius: 16px;
		}

		td:last-child {
			border-bottom-right-radius: 16px;
		}
	}
}
